xdrawchem (1:1.11.1-3) unstable; urgency=medium

  * removed the duplicate version entry from d/watch.
    Closes: #1146501

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Sep 2026 17:19:41 +0200

xdrawchem (1:1.11.1-2) unstable; urgency=medium

  * fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 17:55:13 +0100

xdrawchem (1:1.11.1-1) unstable; urgency=medium

  * fixed the watch file
  * New upstream version 1.11.1
  * added a build dependency on pkgconf. Closes: #1074773

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Jun 2024 17:54:45 +0200

xdrawchem (1:1.11.0-5) unstable; urgency=medium

  * fixed the watch file, with searchmode=plain
  * bumped Standards-Version: 4.7.0
  * removed the version constrint for the dependency libopenbabel-dev

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 May 2024 16:54:29 +0200

xdrawchem (1:1.11.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:47:36 +0100

xdrawchem (1:1.11.0-3) unstable; urgency=medium

  * added a desktop file and a logo. Closes: #986945
  * removed debian/menu

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:46:20 +0100

xdrawchem (1:1.11.0-2) unstable; urgency=medium

  * taken in account Andrius Merkys' hints about documenting the new
    decision to rebase the package on the fork
    https://gitlab.com/yamanq/xdrawchem; Closes: #979215

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Jan 2021 19:44:40 +0100

xdrawchem (1:1.11.0-1) unstable; urgency=medium

  * rebased the watch file to point to https://gitlab.com/yamanq/xdrawchem
  * New upstream version 1.11.0
  * made a build dependency on debhelper-compat (= 12)
  * added a build dependency on libqt5svg5-dev
  * removed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Aug 2020 17:07:11 +0200

xdrawchem (1:1.10.2.1-3) unstable; urgency=medium

  [ Andrius Merkys ]
  * Non-maintainer upload.
  * Porting to Open Babel 3.

  [ Georges Khaznadar ]
  * Merged Andrius Merkys' patches, and updated the repository in
    salsa.debian.org

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 Jan 2020 18:29:55 +0100

xdrawchem (1:1.10.2.1-2) unstable; urgency=medium

  * updated Standards-Version and dh level
  * moved the file d/source/README.Debian to d/README.Source
    Closes: #917952
  * simplified d/copyright, removed a duplicate license definition, and
    a file name not in the source package
  * added an override in d/rules to avoid distributing more copies of GPL.txt

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Jan 2019 16:30:37 +0100

xdrawchem (1:1.10.2.1-1) unstable; urgency=medium

  * New upstream release
  * created d/watch file and d/get-newest-source.sh to repackage
    the source, in order to keep only the subdirectory xdrawchem-qt5/
    which is the only one maintained now.
  * simplified d/rules


 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Oct 2017 19:10:29 +0200

xdrawchem (2.0-6) unstable; urgency=medium

  * modified d/rules and created d/xdrawchem.install; Closes: #841599

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2016 17:15:51 +0100

xdrawchem (2.0-5) unstable; urgency=medium

  * prepared for GCC6: patched xdrawchem/molecule_obmol.cpp,
    checked the compilation with QT_CXX = g++-6. Closes: #811675
  * upgraded Standards-Version to 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 Jun 2016 12:26:08 +0200

xdrawchem (2.0-4) unstable; urgency=medium

  * added a very simple desktop file. Closes: #708578
  * included Frans Spiesschaert's po file. Closes: #794801

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Feb 2016 13:46:17 +0100

xdrawchem (2.0-3) unstable; urgency=medium

  * changed my DEBEMAIL
  * applied Martin Steghöfer's patch: Closes: #763037
  * updated debhelper's b-dependency to 9, Standards-Version to 3.9.5
  * stripped trailing white spaces in this file
  * removed extra-license-files
  * activated dpkg-buildflags to harden the code
  * fixed short names with spaces from d/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Oct 2014 18:30:38 +0200

xdrawchem (2.0-2) unstable; urgency=low

  * applied Cyril Brulebois' patch. Closes: #667420
  * upgraded Standards-Version to 3.9.3
  * made a versioned build-dependency on bash

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 17 May 2012 13:45:06 +0000

xdrawchem (2.0-1) unstable; urgency=low

  * upgraded to the SVN subdir xdrawchem-qt4 published 3 years ago.
    it builds a release based on qt4. Closes: #604390
  * changed the reference "/usr/local/share/xdrawchem2" to
    /usr/share/xdrawchem2
  * changed the announced version number to 2.0, in order to distinguish
    this release from non-qt4 builds
  * fixed configure: changed qmake4 to qmake-qt4
  * changed the target xdrawchem2 to xdrawchem in xdrawchem.pro
  * enforced the use of bash in configure

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 May 2011 19:31:30 +0200

xdrawchem (1.99.1+svn20110402-1) unstable; urgency=low

  * upgraded to a new upstream version which implements the use of
    Qt4

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 03 Apr 2011 00:43:40 +0200

xdrawchem (1.9.9-6) unstable; urgency=low

  * modified the source to make them compatible with Qt4.
  * lauched am2cmake, removed Makefile.am, automoc, autoscan* and config*,
    etc. files
  * modified CMakeLists.txt to define subdirs, and other CMakeLists.txt
    in subdiretories to define install paths
  * hacked many Qt3 former definitions
  * removed direct integration of XPM files in the application source

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 Feb 2011 13:50:46 +0100

xdrawchem (1.9.9-5) unstable; urgency=low

  * fixed the segfault when saving an empty data. Closes: #379391
  * applied Daniel Leidert's patch. Closes: #405131
  * tried to reproduce the bug described by Robert Lemmen (at version 1.7.4),
    entered the SMILES string "nh4" without triggering a segfault.
    LI Daobing considered already this as non-reproducible since version
    1.9.9-3. Closes: #215409
  * removed the build dependency on libqt3-compat-headers. Closes: #464921
  * the change in debian/menu already done ... Closes: #482934

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Feb 2011 22:16:59 +0100

xdrawchem (1.9.9-4.2) unstable; urgency=low

  * adopted the package: Closes #513160
  * the build can be done with the current version of libqt4-dev, changed the
    Conflicts: to libqt4-dev (<< 4:4.6.3-4)
  * upgraded Standards-Version to 3.9.1
  * added a missing "#include <stdlib.h>" in molinfodialog.cpp
  * added debian/README.source
  * added a "${misc:Depends}" into debian/changelog
  * wrote 7 into debian/compat
  * removed the "-1 dependencies" from debian/control
  * added a test to check Makefile before launching a make
  * changed the layout of debian/copyright added e-mail addresses of
    the authors
  * removed some "generic" words coming from the template in README.debian
    and fixed a typo in the same file.
  * changed Apps/Science to Applications/Science/Chemistry in debian/menu

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 01 Feb 2011 23:17:43 +0100

xdrawchem (1.9.9-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/04_shellescape.dpatch:
    - Fix location of patched files (Closes: #560527).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 14 Jul 2010 14:59:08 +0000

xdrawchem (1.9.9-4) unstable; urgency=low

  [ Li Daobing ]
  * debian/xdrawchem.desktop: fix warning for desktop-file-validate.
  * FTBFS with GCC 4.3: missing #includes (Closes: #417776)
    - debian/patches/05_ftbfs_with_gcc_4.3.dpatch: added
    - debian/patches/00list: updated
  * debian/watch: added
  * build conflicts with libqt4-dev

  [ Michael Banck ]
  * debian/patches/06_online_search_crash.patch: New patch by Tom
    Mortimer-Jones; fixes crash when not choosing a result from an
    online search. (Closes Malone: #112644)

 -- Michael Banck <mbanck@debian.org>  Mon, 14 May 2007 14:06:41 +0200

xdrawchem (1.9.9-3) unstable; urgency=medium

  [ Daniel Leidert ]
  * debian/copyright: Fixed outdated FSF address (fixes lintian warning).
  * debian/control (Standards-Version): Changed to latest standards version
    3.7.2 (fixes lintian warning).
    (Build-Depends): Fixed debhelper version dependency to fit compat level
    (fixes linda error).
    (Build-Conflicts): Added build-conflicts in accordance to autotools-dev
    README.Debian.
  * debian/docs: Removed GPL.txt, COPYRIGHT.txt and HISTORY.txt, which are in
    the html docs too. Further the information they provide is already
    available as changelog.gz, copyright and /usr/share/common-licenses/GPL.
  * debian/rules: Cleaned.
    - Added dh_clean to clean target instead of removing the debhelper files
      manually.
    - Removed documentation movement.
    - Avoid compression of html/*.txt.
  * debian/xdrawchem.manpages: Added (fixes lintian warning).
  * debian/xdrawchem.1: Updated manpage.
  * debian/patches/02_documentation_root.dpatch: Fixed.
    - doc/Makefile.am (htmldir): Install documentation into
      /usr/share/doc/xdrawchem/html.
    - doc/HISTORY.txt: Update the outdated copy from HISTORY.txt.
    - xdrawchem/application.cpp (ApplicationWindow::NewManual): Removed
      leading RingDir variable in the manual path, so that it points to the
      right location.
      (ApplicationWindow::HelpTopic): Also fix the path for the topic-specific
      help.

  [ Michael Banck ]
  * Set urgency to medium.

 -- Michael Banck <mbanck@debian.org>  Tue, 14 Nov 2006 23:01:52 +0100

xdrawchem (1.9.9-2) unstable; urgency=high

  * Urgency high due to RC bug fix.
  * Sync with Ubuntu.
  * debian/patches/04_shellescape.dpatch: New patch by Steinar H.
    Gunderson, fixes handling of filenames with non-ascii characters.
    (Closes: #360490)
  * debian/rules (configure-stamp): Run autoreconf.
  * debian/control (Build-Depends): Added automake1.9, autoconf and
    libtool.

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Nov 2006 00:04:48 +0100

xdrawchem (1.9.9-1ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * Add desktop file from Phil Bull. (Closes Malone: #36446)
  * Install icon file in /usr/share/pixmaps

 -- Barry deFreese <bddebian@comcast.net>  Wed, 12 Jul 2006 22:54:52 -0400

xdrawchem (1.9.9-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpatch and debhelper.
  * Switch to openbabel-2.0 (Closes: #360490)
  * Bumped Standards-Version to 3.6.2.

 -- Michael Banck <mbanck@debian.org>  Sat, 22 Apr 2006 00:25:24 +0200

xdrawchem (1.9.8-2) unstable; urgency=low

  * Rewrote short and long descriptions (Closes: #337069)
  * Look for online documentation in /usr/share/doc/xdrawchem rather
    than /usr/share/xdrawchem/doc (Closes: #337752)
  * Applied patch by Jens Seidel to fix german translation
    (Closes: #313855)

 -- Michael Banck <mbanck@debian.org>  Sun, 20 Nov 2005 18:07:30 +0100

xdrawchem (1.9.8-1) unstable; urgency=low

  * New upstream release
  * Build-Depend on g++-4.0 transitioned package versions of
    libopenbabel and libqt3-mt (Closes: #323422)

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Aug 2005 00:27:40 +0200

xdrawchem (1.9.6-1) unstable; urgency=low

  * New upstream release
    - Selecting 'Cut' from the context menu no longer produces a
      segfault (Closes: #303440)

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Jun 2005 14:48:05 +0200

xdrawchem (1.9.4-3) unstable; urgency=low

  * Added some more bogus warnings to xdrawchem/boshcp.cpp.

 -- Michael Banck <mbanck@debian.org>  Fri,  8 Apr 2005 00:40:30 +0200

xdrawchem (1.9.4-2) unstable; urgency=low

  * Added a bogus warning to xdrawchem/boshcp.cpp to translate
    activity to the buildds.

 -- Michael Banck <mbanck@debian.org>  Tue,  5 Apr 2005 18:40:14 +0200

xdrawchem (1.9.4-1) unstable; urgency=low

  * New upstream release (Closes: #292288)
    - EPS export now supports color (Closes: #292289)
  * Quote values in menu entry (Thanks, Li Daobing)
  * Honor 'noopt' in DEB_BUILD_OPTIONS (Thanks, Li Daobing)

 -- Michael Banck <mbanck@debian.org>  Fri,  1 Apr 2005 02:03:18 +0200

xdrawchem (1.8.5-1) unstable; urgency=low

  * New upstream release (Closes: #261504)
    - Italian translation has been integrated (Closes: #239160)

 -- Michael Banck <mbanck@debian.org>  Sat,  7 Aug 2004 03:14:47 +0200

xdrawchem (1.7.8-2) unstable; urgency=low

  * debian/menu: Changed section from math to science

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Mar 2004 14:45:33 +0200

xdrawchem (1.7.8-1) unstable; urgency=low

  * New upstream release
  * debian/xdrawchem.1: Updated manpage
  * debian/*ex: Removed unneeded debhelper template files

 -- Michael Banck <mbanck@debian.org>  Thu,  4 Mar 2004 21:39:55 +0100

xdrawchem (1.7.6-1) unstable; urgency=low

  * Michael Banck joined as co-maintainer
  * New upstream release
    - 'Find on Internet/CAS' seems to work properly now (Closes: #215410)
  * A recompile brings back dependencies (Closes: #215406)
  * debian/control:
    - Added Build-Depends on libopenbabel-dev
    - Added myself to Uploaders:
  * debian/rules: Use CXXFLAGS=-g, as -O2 lets g++ choke on chemdata_rxn.cpp
  * config.guess, config.sub: Updated from latest version in
    autotools-dev (Closes: #202528)
  * Acknowledge NMUs (Closes: #98056, #99919, #120810, #121872, #171945,
    #125526, #119421, #135784)

 -- Michael Banck <mbanck@debian.org>  Mon, 19 Jan 2004 01:13:58 +0100

xdrawchem (1.7.4-0.1) unstable; urgency=low

  * Maintainer Release (Back Finally!)
  * New upstream release

 -- Warren Stramiello <stramiello@debian.org>  Thu,  31 Jul 2003 21:03:18 -0400

xdrawchem (1.7.3-0.1) unstable; urgency=low

  * Non Maintainer Upload
  * New upstream release (Closes: #171945)
    - This seems to fix segfaults when removing bonds (Closes: #179979)
  * debian/rules:
    - Export $QTDIR
    - Added a configure-target to debian/rules and removed the now
      unneccesary variables from the $MAKE call
    - Put html-documentation under /usr/share/doc/xdrawchem/html
    - Changed call from clean to distclean in clean-target
  * debian/control:
    - Removed Recommends on openbabel as it is now part of the source tree
    - Use libqt3 as Build-Depends (Closes: #198550)
  * openbabel/Makefile.in:
    - Remove object files in openbabel/math on clean, too
    - Don't install the babel executable, xdrawchem is linked
      statically to libopenbabel.a
    - Put the openbabel data files into /usr/share/xdrawchem to prevent
      conflicts with the openbabel package
  * configure: Add openbabel/version.h to ac_config_files

 -- Michael Banck <mbanck@debian.org>  Sat, 19 Jul 2003 15:19:31 +0200

xdrawchem (1.0-0.1) unstable; urgency=low

  * Non Maintainer Upload, with permission
  * New upstream release (Closes: #135784)
  * Fixed description (Closes: #125526)
  * Moved Ring templates from /usr/lib/xdrawchem to
    /usr/share/xdrawchem (Closes: #121872)
  * Added INSTRING and MOC to Debian build-target
  * Added a Recommends: openbabel as xdrawchem can now take advantage
    of babel for import/export

 -- Michael Banck <mbanck@gmx.net>  Thu, 28 Feb 2002 19:47:52 +0100

xdrawchem (0.99.4-0.1) unstable; urgency=low

  * Non Maintainer Upload, with permission
  * New upstream release (Closes: #119421)
  * Included templates in /usr/lib/xdrawchem (Closes: #107628, #98056)
  * Fixed Menu entry (Closes: #120810)
  * Fixed manpage (Closes: #99919) and included it in the Debian diff
  * Added Build-depends
  * Changed debian/copyright to point to /usr/share/common-licenses/GPL
  * Added HISTORY.txt as upstream ChangeLog
  * Fixed Copyright notice in debian/copyright

 -- Michael Banck <mbanck@gmx.net>  Tue, 27 Nov 2001 20:07:46 +0100

xdrawchem (0.85-1.1) unstable; urgency=low

  * NMU
  * render2d.cpp: add #include <stdlib.h> for abs() prototype
    (Closes: #104973)

 -- Branden Robinson <branden@debian.org>  Fri, 28 Sep 2001 12:35:58 -0500

xdrawchem (0.85-1) unstable; urgency=low

  * Initial release.

 -- Warren Stramiello <stramiello@debian.org>  Wed,  9 May 2001 16:02:28 -0400
